#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <unistd.h>
#include <sys/syscall.h>

int main(int argc, char **argv) {
	if (argc < 2) {
		printf("pivot_root [new-root] [put-old]\n");
		return 0;
	}

	if (syscall(SYS_pivot_root, argv[0], argv[1]) < 0) {
		fprintf(stderr, "pivot_root: %s\n", strerror(errno));
		return 1;
	}

	return 0;
}
